Chat
Get chat
deprecated
Chat history and details for a user.
GET
/
ai
/
{v}
/
chat
Get chat
curl --request GET \
--url https://platform.ai.gloo.com/ai/{v}/chat \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.ai.gloo.com/ai/{v}/chat"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ai.gloo.com/ai/{v}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "u8721bb6d-b1c3-4130-b413-e7a56b3403d9",
"chat_id": "c518c540a-28f1-4055-a8ed-44a5929c63f8",
"created_at": "2025-07-14T19:04:56.974882",
"updated_at": "2025-07-14T19:05:03.205307",
"messages": [
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfdca4b99-c672-4f76-8b48-dcf550be9500",
"timestamp": "2025-07-14T19:04:58.449394",
"role": "user",
"character_limit": 0,
"stream": false,
"intent": 0,
"message": "What is your name?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0",
"publishers": []
},
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfc7bc417-c089-4806-8b61-51ba24b09898",
"timestamp": "2025-07-14T19:04:59.679262",
"role": "kallm",
"intent": 0,
"sources_limit": 0,
"sources": [],
"success": true,
"suggestions": [
"How can I use AI?",
"What can KALLM help me with?",
"Can I ask you for advice?"
],
"message": "My name is Gloo AI Chat. How can I assist you today?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0"
}
],
"pin": false,
"summary": null,
"title": "User Asks About AI's Name"
}{
"detail": "Failed to find chat"
}Deprecated Endpoint: This endpoint is part of the Chat API which is deprecated.Please migrate to the Completions v2 API for new projects.Migration Guide →
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
v1 Query Parameters
Response
Successful response
The response is of type Response Get · object.
⌘I
Get chat

